rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
rpmio/rpmuuid.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | rpmuuidMake (int version, const char *ns, const char *data, char *buf_str, unsigned char *buf_bin)
| Generate a Universally Unique Identifier (UUID).

## Function Documentation

int rpmuuidMake | ( | int | version,
|  | const char * | ns,
|  | const char * | data,
|  | char * | buf_str,
|  | unsigned char * | buf_bin
| ) |  |

Generate a Universally Unique Identifier (UUID).

Parameters:

  version | UUID version 1, 3, 4 or 5
  ns | namespace UUID in string representation or symbolic name (UUID version 3 and 5 only)
  data | data to digest (UUID version 3 and 5 only)

Return values:

  buf_str | buffer of at least 37 bytes (UUID_LEN_STR+1) to store UUID in string representation
  buf_bin | buffer of at least 16 bytes (UUID_LEN_BIN) to store UUID in binary representation

Returns:
  0 on success, 1 on failure

Definition at line 23 of file rpmuuid.c.

References _, rpmlog(), RPMLOG_ERR, and uuid_ns.

Referenced by doFoo(), str2uuid(), and tv2uuidv1().